> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List System Keys

> List the tenant's system keys.



## OpenAPI

````yaml get /v1/admin/system-keys
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/admin/system-keys:
    get:
      tags:
        - V1 - System keys
      summary: List System Keys
      description: List the tenant's system keys.
      operationId: list_system_keys
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ApiKey'
                type: array
                title: Response List System Keys
      security:
        - APIKeyHeader: []
components:
  schemas:
    ApiKey:
      properties:
        name:
          type: string
          title: Name
        id:
          type: string
          format: uuid
          title: Id
        group_id:
          type: string
          format: uuid
          title: Group Id
        value:
          type: string
          title: Value
        tenant_admin:
          type: boolean
          title: Tenant Admin
          default: false
        permissions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Permissions
        last_used:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used
      type: object
      required:
        - name
        - id
        - group_id
        - value
      title: ApiKey
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````